import { Module } from '@nestjs/common';
import { AuthAdminController } from './authAdmincontroller';
import { EncryptionService } from '../encryption/encryption.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Admin } from 'src/admin/entities/admin.entity';
import { AuthAdminService } from './authAdminservice';
import { AdminService } from 'src/admin/admin.service';
import { JwtService } from '@nestjs/jwt';

@Module({
  controllers: [AuthAdminController],
  providers: [AuthAdminService, AdminService, JwtService, EncryptionService],
  imports: [TypeOrmModule.forFeature([Admin])],
})
export class AuthAdminModule {}
