import { Module } from '@nestjs/common';
import { EncryptionService } from '../encryption/encryption.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JwtService } from '@nestjs/jwt';
import { AuthUserController } from './authUsercontroller';
import { UserService } from 'src/user/user.service';
import { User } from 'src/user/entities/user.entity';
import { AuthUserService } from './authUserservice';
@Module({
  controllers: [AuthUserController],
  providers: [UserService, JwtService, EncryptionService, AuthUserService],
  imports: [TypeOrmModule.forFeature([User])],
})
export class AuthUserModule {}
