import { Module } from '@nestjs/common';
import { TownService } from './town.service';
import { TownController } from './town.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Town } from './entities/town.entity';
import { StateService } from 'src/state/state.service';
import { State } from 'src/state/entities/state.entity';
import { TownTraduction } from './entities/town-traduction.entity';

@Module({
  controllers: [TownController],
  providers: [TownService, StateService, TypeOrmModule],
  imports: [TypeOrmModule.forFeature([Town, State, TownTraduction]), TypeOrmModule],
  exports: [TownService],
})
export class TownModule {}
