import { RouterProvider } from 'react-router-dom';
import './App.css';
import { AuthContextProvider } from './context/auth_context';
import { MessageContextProvider } from './context/message_context';
import { router } from './router/router';


function App() {
  return (
    <div className="App">
      <AuthContextProvider>
        <MessageContextProvider>
          <RouterProvider router={router}/>
        </MessageContextProvider>
      </AuthContextProvider>
    </div>
  );
}

export default App;
